Bug 1241346 - File mapping rule patter attribute is not recogized
File mapping rule patter attribute is not recogized
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-zanata-client (Show other bugs)
client-3.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: client-3.7
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-09 01:25 EDT by Patrick Huang
Modified: 2015-07-29 21:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 21:57:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2015-07-09 01:25:37 EDT
Description of problem:
We mark the pattern attribute to be "apply-to" in xml but in all our documentation we refer it as "pattern". 

Version-Release number of selected component (if applicable):
3.8.0-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Enter a file mapping rule using <rule pattern="**/some/pattern">translation/file</rule>

Actual results:
pattern is not recognized

Expected results:
pattern is used

Additional info:
Comment 1 Patrick Huang 2015-07-09 01:56:41 EDT
https://github.com/zanata/zanata-client/pull/71
Comment 2 Ding-Yi Chen 2015-07-12 21:18:24 EDT
VERIFIED with commit 6106e2c914439245f25b832b56131cb870e39354
Comment 3 Damian Jansen 2015-07-21 00:18:58 EDT
Verified merge at aa7d429a4b859b72307b0d18da02ff08197c94dc

Note You need to log in before you can comment on or make changes to this bug.